ResourceBlacklistRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: ResourceBlacklistRequestPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class ResourceBlacklistRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest
org.apache.hadoop.yarn.api.records.impl.pb.ResourceBlacklistRequestPBImpl

@Private @Unstable public class ResourceBlacklistRequestPBImpl extends org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceBlacklistRequestPBImpl()`
  `ResourceBlacklistRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceBlacklistRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `List<String>`
  `getBlacklistAdditions()`
  `List<String>`
  `getBlacklistRemovals()`
  `org.apache.hadoop.yarn.proto.YarnProtos.ResourceBlacklistRequestProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setBlacklistAdditions(List<String> resourceNames)`
  `void`
  `setBlacklistRemovals(List<String> resourceNames)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceBlacklistRequestPBImpl

    public ResourceBlacklistRequestPBImpl()

  - ### ResourceBlacklistRequestPBImpl

    public ResourceBlacklistRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceBlacklistRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.ResourceBlacklistRequestProto getProto()

  - ### getBlacklistAdditions

    public List<String> getBlacklistAdditions()
    Specified by:
      `getBlacklistAdditions` in class `org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest`

  - ### setBlacklistAdditions

    public void setBlacklistAdditions(List<String> resourceNames)
    Specified by:
      `setBlacklistAdditions` in class `org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest`

  - ### getBlacklistRemovals

    public List<String> getBlacklistRemovals()
    Specified by:
      `getBlacklistRemovals` in class `org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest`

  - ### setBlacklistRemovals

    public void setBlacklistRemovals(List<String> resourceNames)
    Specified by:
      `setBlacklistRemovals` in class `org.apache.hadoop.yarn.api.records.ResourceBlacklistRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`